From 344a77fd719bd5d0f4d24862abd4610bad7d08dd Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Thu, 17 May 2018 22:44:55 +0200
Subject: [PATCH 4/4] WIP

---
 Makefile.inc1                                 |    5 -
 Makefile_upgrade.inc                          |    3 +
 etc/Makefile                                  |    2 +-
 etc/defaults/make.conf                        |    1 -
 lib/Makefile                                  |    7 +-
 lib/libc/sys/pselect.2                        |   14 -
 lib/libc_r/Makefile                           |   26 -
 lib/libc_r/arch/x86_64/_atomic_lock.S         |   38 -
 lib/libc_r/sys/Makefile.inc                   |    7 -
 lib/libc_r/uthread/Makefile.inc               |  144 --
 lib/libc_r/uthread/pthread_private.h          | 1358 ---------------
 lib/libc_r/uthread/uthread_accept.c           |  122 --
 lib/libc_r/uthread/uthread_affinity.c         |   75 -
 lib/libc_r/uthread/uthread_aio_suspend.c      |   50 -
 lib/libc_r/uthread/uthread_atfork.c           |   56 -
 lib/libc_r/uthread/uthread_attr_destroy.c     |   63 -
 lib/libc_r/uthread/uthread_attr_get_np.c      |   58 -
 .../uthread/uthread_attr_getaffinity_np.c     |   61 -
 .../uthread/uthread_attr_getdetachstate.c     |   60 -
 .../uthread/uthread_attr_getinheritsched.c    |   52 -
 .../uthread/uthread_attr_getschedparam.c      |   52 -
 .../uthread/uthread_attr_getschedpolicy.c     |   52 -
 lib/libc_r/uthread/uthread_attr_getscope.c    |   55 -
 lib/libc_r/uthread/uthread_attr_getstack.c    |   59 -
 .../uthread/uthread_attr_getstackaddr.c       |   55 -
 .../uthread/uthread_attr_getstacksize.c       |   55 -
 lib/libc_r/uthread/uthread_attr_init.c        |   62 -
 .../uthread/uthread_attr_setaffinity_np.c     |   45 -
 .../uthread_attr_setcreatesuspend_np.c        |   53 -
 .../uthread/uthread_attr_setdetachstate.c     |   62 -
 .../uthread/uthread_attr_setinheritsched.c    |   54 -
 .../uthread/uthread_attr_setschedparam.c      |   58 -
 .../uthread/uthread_attr_setschedpolicy.c     |   54 -
 lib/libc_r/uthread/uthread_attr_setscope.c    |   57 -
 lib/libc_r/uthread/uthread_attr_setstack.c    |   58 -
 .../uthread/uthread_attr_setstackaddr.c       |   55 -
 .../uthread/uthread_attr_setstacksize.c       |   55 -
 lib/libc_r/uthread/uthread_bind.c             |   52 -
 lib/libc_r/uthread/uthread_cancel.c           |  231 ---
 lib/libc_r/uthread/uthread_clean.c            |   72 -
 lib/libc_r/uthread/uthread_close.c            |  121 --
 lib/libc_r/uthread/uthread_closefrom.c        |   73 -
 lib/libc_r/uthread/uthread_concurrency.c      |   61 -
 lib/libc_r/uthread/uthread_cond.c             |  737 ---------
 lib/libc_r/uthread/uthread_condattr_destroy.c |   54 -
 lib/libc_r/uthread/uthread_condattr_init.c    |   59 -
 lib/libc_r/uthread/uthread_connect.c          |   90 -
 lib/libc_r/uthread/uthread_creat.c            |   48 -
 lib/libc_r/uthread/uthread_create.c           |  330 ----
 lib/libc_r/uthread/uthread_detach.c           |   91 --
 lib/libc_r/uthread/uthread_dup.c              |   71 -
 lib/libc_r/uthread/uthread_dup2.c             |   99 --
 lib/libc_r/uthread/uthread_equal.c            |   45 -
 lib/libc_r/uthread/uthread_execve.c           |  116 --
 lib/libc_r/uthread/uthread_exit.c             |  238 ---
 lib/libc_r/uthread/uthread_faccessat.c        |   51 -
 lib/libc_r/uthread/uthread_fchflags.c         |   26 -
 lib/libc_r/uthread/uthread_fchmod.c           |   52 -
 lib/libc_r/uthread/uthread_fchmodat.c         |   52 -
 lib/libc_r/uthread/uthread_fchown.c           |   53 -
 lib/libc_r/uthread/uthread_fchownat.c         |   51 -
 lib/libc_r/uthread/uthread_fcntl.c            |  170 --
 lib/libc_r/uthread/uthread_fd.c               | 1078 ------------
 lib/libc_r/uthread/uthread_file.c             |   50 -
 lib/libc_r/uthread/uthread_find_thread.c      |   67 -
 lib/libc_r/uthread/uthread_flock.c            |   51 -
 lib/libc_r/uthread/uthread_fork.c             |  217 ---
 lib/libc_r/uthread/uthread_fpathconf.c        |   45 -
 lib/libc_r/uthread/uthread_fstat.c            |   59 -
 lib/libc_r/uthread/uthread_fstatat.c          |   59 -
 lib/libc_r/uthread/uthread_fstatfs.c          |   59 -
 lib/libc_r/uthread/uthread_fsync.c            |   61 -
 lib/libc_r/uthread/uthread_gc.c               |  258 ---
 lib/libc_r/uthread/uthread_getdirentries.c    |   52 -
 lib/libc_r/uthread/uthread_getpeername.c      |   52 -
 lib/libc_r/uthread/uthread_getprio.c          |   57 -
 lib/libc_r/uthread/uthread_getschedparam.c    |   59 -
 lib/libc_r/uthread/uthread_getsockname.c      |   52 -
 lib/libc_r/uthread/uthread_getsockopt.c       |   53 -
 lib/libc_r/uthread/uthread_getthreadid_np.c   |   39 -
 lib/libc_r/uthread/uthread_info.c             |  303 ----
 lib/libc_r/uthread/uthread_init.c             |  457 ------
 lib/libc_r/uthread/uthread_ioctl.c            |   82 -
 lib/libc_r/uthread/uthread_jmp.c              |  116 --
 lib/libc_r/uthread/uthread_join.c             |  168 --
 lib/libc_r/uthread/uthread_kern.c             | 1144 -------------
 lib/libc_r/uthread/uthread_kevent.c           |   78 -
 lib/libc_r/uthread/uthread_kill.c             |   75 -
 lib/libc_r/uthread/uthread_kqueue.c           |   54 -
 lib/libc_r/uthread/uthread_listen.c           |   52 -
 lib/libc_r/uthread/uthread_main_np.c          |   48 -
 lib/libc_r/uthread/uthread_mattr_init.c       |   59 -
 lib/libc_r/uthread/uthread_mattr_kind_np.c    |   98 --
 lib/libc_r/uthread/uthread_msync.c            |   41 -
 lib/libc_r/uthread/uthread_multi_np.c         |   51 -
 lib/libc_r/uthread/uthread_mutex.c            | 1456 -----------------
 .../uthread/uthread_mutex_prioceiling.c       |  114 --
 lib/libc_r/uthread/uthread_mutex_protocol.c   |   70 -
 .../uthread/uthread_mutexattr_destroy.c       |   54 -
 lib/libc_r/uthread/uthread_nanosleep.c        |  142 --
 lib/libc_r/uthread/uthread_once.c             |   54 -
 lib/libc_r/uthread/uthread_open.c             |  154 --
 lib/libc_r/uthread/uthread_pause.c            |   48 -
 lib/libc_r/uthread/uthread_pipe.c             |   55 -
 lib/libc_r/uthread/uthread_poll.c             |  111 --
 lib/libc_r/uthread/uthread_priority_queue.c   |  371 -----
 lib/libc_r/uthread/uthread_read.c             |  110 --
 lib/libc_r/uthread/uthread_readv.c            |  105 --
 lib/libc_r/uthread/uthread_recvfrom.c         |   90 -
 lib/libc_r/uthread/uthread_recvmsg.c          |   86 -
 lib/libc_r/uthread/uthread_resume_np.c        |  112 --
 lib/libc_r/uthread/uthread_rwlock.c           |  341 ----
 lib/libc_r/uthread/uthread_rwlockattr.c       |   97 --
 lib/libc_r/uthread/uthread_select.c           |  275 ----
 lib/libc_r/uthread/uthread_self.c             |   45 -
 lib/libc_r/uthread/uthread_sem.c              |  255 ---
 lib/libc_r/uthread/uthread_sendfile.c         |  193 ---
 lib/libc_r/uthread/uthread_sendmsg.c          |   85 -
 lib/libc_r/uthread/uthread_sendto.c           |   87 -
 lib/libc_r/uthread/uthread_setprio.c          |   53 -
 lib/libc_r/uthread/uthread_setschedparam.c    |  119 --
 lib/libc_r/uthread/uthread_setsockopt.c       |   53 -
 lib/libc_r/uthread/uthread_shutdown.c         |   73 -
 lib/libc_r/uthread/uthread_sig.c              | 1125 -------------
 lib/libc_r/uthread/uthread_sigaction.c        |  113 --
 lib/libc_r/uthread/uthread_sigmask.c          |  107 --
 lib/libc_r/uthread/uthread_sigpending.c       |   62 -
 lib/libc_r/uthread/uthread_sigprocmask.c      |   49 -
 lib/libc_r/uthread/uthread_sigsuspend.c       |  100 --
 lib/libc_r/uthread/uthread_sigwait.c          |  173 --
 lib/libc_r/uthread/uthread_single_np.c        |   51 -
 lib/libc_r/uthread/uthread_sleep.c            |   48 -
 lib/libc_r/uthread/uthread_socket.c           |   59 -
 lib/libc_r/uthread/uthread_socketpair.c       |   57 -
 lib/libc_r/uthread/uthread_spec.c             |  205 ---
 lib/libc_r/uthread/uthread_spinlock.c         |  120 --
 lib/libc_r/uthread/uthread_stubs.c            |   70 -
 lib/libc_r/uthread/uthread_suspend_np.c       |  105 --
 lib/libc_r/uthread/uthread_switch_np.c        |   72 -
 lib/libc_r/uthread/uthread_system.c           |   48 -
 lib/libc_r/uthread/uthread_tcdrain.c          |   48 -
 lib/libc_r/uthread/uthread_unlinkat.c         |   51 -
 lib/libc_r/uthread/uthread_vfork.c            |   11 -
 lib/libc_r/uthread/uthread_wait.c             |   47 -
 lib/libc_r/uthread/uthread_wait4.c            |   81 -
 lib/libc_r/uthread/uthread_waitpid.c          |   48 -
 lib/libc_r/uthread/uthread_write.c            |  163 --
 lib/libc_r/uthread/uthread_writev.c           |  230 ---
 lib/libc_r/uthread/uthread_yield.c            |   67 -
 lib/libpthread/pthread.3                      |   25 +-
 share/man/man5/make.conf.5                    |   14 +-
 151 files changed, 13 insertions(+), 19524 deletions(-)
 delete mode 100644 lib/libc_r/Makefile
 delete mode 100644 lib/libc_r/arch/x86_64/_atomic_lock.S
 delete mode 100644 lib/libc_r/sys/Makefile.inc
 delete mode 100644 lib/libc_r/uthread/Makefile.inc
 delete mode 100644 lib/libc_r/uthread/pthread_private.h
 delete mode 100644 lib/libc_r/uthread/uthread_accept.c
 delete mode 100644 lib/libc_r/uthread/uthread_affinity.c
 delete mode 100644 lib/libc_r/uthread/uthread_aio_suspend.c
 delete mode 100644 lib/libc_r/uthread/uthread_atfork.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_destroy.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_get_np.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_getaffinity_np.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_getdetachstate.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_getinheritsched.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_getschedparam.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_getschedpolicy.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_getscope.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_getstack.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_getstackaddr.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_getstacksize.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_init.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_setaffinity_np.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_setcreatesuspend_np.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_setdetachstate.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_setinheritsched.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_setschedparam.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_setschedpolicy.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_setscope.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_setstack.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_setstackaddr.c
 delete mode 100644 lib/libc_r/uthread/uthread_attr_setstacksize.c
 delete mode 100644 lib/libc_r/uthread/uthread_bind.c
 delete mode 100644 lib/libc_r/uthread/uthread_cancel.c
 delete mode 100644 lib/libc_r/uthread/uthread_clean.c
 delete mode 100644 lib/libc_r/uthread/uthread_close.c
 delete mode 100644 lib/libc_r/uthread/uthread_closefrom.c
 delete mode 100644 lib/libc_r/uthread/uthread_concurrency.c
 delete mode 100644 lib/libc_r/uthread/uthread_cond.c
 delete mode 100644 lib/libc_r/uthread/uthread_condattr_destroy.c
 delete mode 100644 lib/libc_r/uthread/uthread_condattr_init.c
 delete mode 100644 lib/libc_r/uthread/uthread_connect.c
 delete mode 100644 lib/libc_r/uthread/uthread_creat.c
 delete mode 100644 lib/libc_r/uthread/uthread_create.c
 delete mode 100644 lib/libc_r/uthread/uthread_detach.c
 delete mode 100644 lib/libc_r/uthread/uthread_dup.c
 delete mode 100644 lib/libc_r/uthread/uthread_dup2.c
 delete mode 100644 lib/libc_r/uthread/uthread_equal.c
 delete mode 100644 lib/libc_r/uthread/uthread_execve.c
 delete mode 100644 lib/libc_r/uthread/uthread_exit.c
 delete mode 100644 lib/libc_r/uthread/uthread_faccessat.c
 delete mode 100644 lib/libc_r/uthread/uthread_fchflags.c
 delete mode 100644 lib/libc_r/uthread/uthread_fchmod.c
 delete mode 100644 lib/libc_r/uthread/uthread_fchmodat.c
 delete mode 100644 lib/libc_r/uthread/uthread_fchown.c
 delete mode 100644 lib/libc_r/uthread/uthread_fchownat.c
 delete mode 100644 lib/libc_r/uthread/uthread_fcntl.c
 delete mode 100644 lib/libc_r/uthread/uthread_fd.c
 delete mode 100644 lib/libc_r/uthread/uthread_file.c
 delete mode 100644 lib/libc_r/uthread/uthread_find_thread.c
 delete mode 100644 lib/libc_r/uthread/uthread_flock.c
 delete mode 100644 lib/libc_r/uthread/uthread_fork.c
 delete mode 100644 lib/libc_r/uthread/uthread_fpathconf.c
 delete mode 100644 lib/libc_r/uthread/uthread_fstat.c
 delete mode 100644 lib/libc_r/uthread/uthread_fstatat.c
 delete mode 100644 lib/libc_r/uthread/uthread_fstatfs.c
 delete mode 100644 lib/libc_r/uthread/uthread_fsync.c
 delete mode 100644 lib/libc_r/uthread/uthread_gc.c
 delete mode 100644 lib/libc_r/uthread/uthread_getdirentries.c
 delete mode 100644 lib/libc_r/uthread/uthread_getpeername.c
 delete mode 100644 lib/libc_r/uthread/uthread_getprio.c
 delete mode 100644 lib/libc_r/uthread/uthread_getschedparam.c
 delete mode 100644 lib/libc_r/uthread/uthread_getsockname.c
 delete mode 100644 lib/libc_r/uthread/uthread_getsockopt.c
 delete mode 100644 lib/libc_r/uthread/uthread_getthreadid_np.c
 delete mode 100644 lib/libc_r/uthread/uthread_info.c
 delete mode 100644 lib/libc_r/uthread/uthread_init.c
 delete mode 100644 lib/libc_r/uthread/uthread_ioctl.c
 delete mode 100644 lib/libc_r/uthread/uthread_jmp.c
 delete mode 100644 lib/libc_r/uthread/uthread_join.c
 delete mode 100644 lib/libc_r/uthread/uthread_kern.c
 delete mode 100644 lib/libc_r/uthread/uthread_kevent.c
 delete mode 100644 lib/libc_r/uthread/uthread_kill.c
 delete mode 100644 lib/libc_r/uthread/uthread_kqueue.c
 delete mode 100644 lib/libc_r/uthread/uthread_listen.c
 delete mode 100644 lib/libc_r/uthread/uthread_main_np.c
 delete mode 100644 lib/libc_r/uthread/uthread_mattr_init.c
 delete mode 100644 lib/libc_r/uthread/uthread_mattr_kind_np.c
 delete mode 100644 lib/libc_r/uthread/uthread_msync.c
 delete mode 100644 lib/libc_r/uthread/uthread_multi_np.c
 delete mode 100644 lib/libc_r/uthread/uthread_mutex.c
 delete mode 100644 lib/libc_r/uthread/uthread_mutex_prioceiling.c
 delete mode 100644 lib/libc_r/uthread/uthread_mutex_protocol.c
 delete mode 100644 lib/libc_r/uthread/uthread_mutexattr_destroy.c
 delete mode 100644 lib/libc_r/uthread/uthread_nanosleep.c
 delete mode 100644 lib/libc_r/uthread/uthread_once.c
 delete mode 100644 lib/libc_r/uthread/uthread_open.c
 delete mode 100644 lib/libc_r/uthread/uthread_pause.c
 delete mode 100644 lib/libc_r/uthread/uthread_pipe.c
 delete mode 100644 lib/libc_r/uthread/uthread_poll.c
 delete mode 100644 lib/libc_r/uthread/uthread_priority_queue.c
 delete mode 100644 lib/libc_r/uthread/uthread_read.c
 delete mode 100644 lib/libc_r/uthread/uthread_readv.c
 delete mode 100644 lib/libc_r/uthread/uthread_recvfrom.c
 delete mode 100644 lib/libc_r/uthread/uthread_recvmsg.c
 delete mode 100644 lib/libc_r/uthread/uthread_resume_np.c
 delete mode 100644 lib/libc_r/uthread/uthread_rwlock.c
 delete mode 100644 lib/libc_r/uthread/uthread_rwlockattr.c
 delete mode 100644 lib/libc_r/uthread/uthread_select.c
 delete mode 100644 lib/libc_r/uthread/uthread_self.c
 delete mode 100644 lib/libc_r/uthread/uthread_sem.c
 delete mode 100644 lib/libc_r/uthread/uthread_sendfile.c
 delete mode 100644 lib/libc_r/uthread/uthread_sendmsg.c
 delete mode 100644 lib/libc_r/uthread/uthread_sendto.c
 delete mode 100644 lib/libc_r/uthread/uthread_setprio.c
 delete mode 100644 lib/libc_r/uthread/uthread_setschedparam.c
 delete mode 100644 lib/libc_r/uthread/uthread_setsockopt.c
 delete mode 100644 lib/libc_r/uthread/uthread_shutdown.c
 delete mode 100644 lib/libc_r/uthread/uthread_sig.c
 delete mode 100644 lib/libc_r/uthread/uthread_sigaction.c
 delete mode 100644 lib/libc_r/uthread/uthread_sigmask.c
 delete mode 100644 lib/libc_r/uthread/uthread_sigpending.c
 delete mode 100644 lib/libc_r/uthread/uthread_sigprocmask.c
 delete mode 100644 lib/libc_r/uthread/uthread_sigsuspend.c
 delete mode 100644 lib/libc_r/uthread/uthread_sigwait.c
 delete mode 100644 lib/libc_r/uthread/uthread_single_np.c
 delete mode 100644 lib/libc_r/uthread/uthread_sleep.c
 delete mode 100644 lib/libc_r/uthread/uthread_socket.c
 delete mode 100644 lib/libc_r/uthread/uthread_socketpair.c
 delete mode 100644 lib/libc_r/uthread/uthread_spec.c
 delete mode 100644 lib/libc_r/uthread/uthread_spinlock.c
 delete mode 100644 lib/libc_r/uthread/uthread_stubs.c
 delete mode 100644 lib/libc_r/uthread/uthread_suspend_np.c
 delete mode 100644 lib/libc_r/uthread/uthread_switch_np.c
 delete mode 100644 lib/libc_r/uthread/uthread_system.c
 delete mode 100644 lib/libc_r/uthread/uthread_tcdrain.c
 delete mode 100644 lib/libc_r/uthread/uthread_unlinkat.c
 delete mode 100644 lib/libc_r/uthread/uthread_vfork.c
 delete mode 100644 lib/libc_r/uthread/uthread_wait.c
 delete mode 100644 lib/libc_r/uthread/uthread_wait4.c
 delete mode 100644 lib/libc_r/uthread/uthread_waitpid.c
 delete mode 100644 lib/libc_r/uthread/uthread_write.c
 delete mode 100644 lib/libc_r/uthread/uthread_writev.c
 delete mode 100644 lib/libc_r/uthread/uthread_yield.c

diff --git a/Makefile.inc1 b/Makefile.inc1
index 2814430d74..fa62f36d43 100644
--- a/Makefile.inc1
+++ b/Makefile.inc1
@@ -143,11 +143,6 @@ TARGET_PLATFORM= pc64
 .endif
 
 THREAD_LIB?=	thread_xu
-.if ${THREAD_LIB} == "c_r"
-.if defined(NO_LIBC_R)
-.error libc_r is chosen as the default thread library, but NO_LIBC_R is defined
-.endif
-.endif
 
 # BTOOLS	(Natively built) All non-cross-development tools that the
 #		main build needs.  This includes things like 'mkdir' and 'rm'.
diff --git a/Makefile_upgrade.inc b/Makefile_upgrade.inc
index 1f14915abc..d3329dcf61 100644
--- a/Makefile_upgrade.inc
+++ b/Makefile_upgrade.inc
@@ -3870,6 +3870,9 @@ TO_REMOVE+=/usr/share/calendar/hu_HU.ISO8859-2
 TO_REMOVE+=/usr/share/calendar/pt_BR.ISO8859-1
 TO_REMOVE+=/usr/share/calendar/ru_RU.KOI8-R
 TO_REMOVE+=/usr/share/calendar/uk_UA.KOI8-U
+TO_REMOVE+=/usr/lib/thread/libc_r.a
+TO_REMOVE+=/usr/lib/thread/libc_r.so
+TO_REMOVE+=/usr/lib/thread/libc_r.so.5
 
 .if !defined(WANT_INSTALLER)
 TO_REMOVE+=/usr/sbin/dfuibe_installer
diff --git a/etc/Makefile b/etc/Makefile
index 04b8c98d07..548ebfd78f 100644
--- a/etc/Makefile
+++ b/etc/Makefile
@@ -239,7 +239,7 @@ upgrade_base:	upgrade_check preupgrade remove-obsolete-files
 		f=${DESTDIR}/usr/lib/libpthread.$$ext; \
 		dest=$$(readlink "$$f"); \
 		case "$$dest" in \
-		libthread_xu.*|libc_r.*) \
+		libthread_xu.*) \
 			ln -fs thread/$$dest $$f ;; \
 		esac; \
 	done
diff --git a/etc/defaults/make.conf b/etc/defaults/make.conf
index 3bbdbf31fc..52a3307ce0 100644
--- a/etc/defaults/make.conf
+++ b/etc/defaults/make.conf
@@ -117,7 +117,6 @@ THREAD_LIB?=	thread_xu
 #NO_CVS=	true	# do not build CVS
 #NO_GAMES=	true	# do not enter the games subdirectory
 #NO_GDB=	true	# do not build GDB
-#NO_LIBC_R=	true	# do not build libc_r (re-entrant version of libc)
 #NO_LPR=	true	# do not build lpr and related programs
 #NO_MODULES=	true	# do not build modules with the kernel
 #NO_SHARE=	true	# do not enter the share subdirectory
diff --git a/lib/Makefile b/lib/Makefile
index 79f46b7a33..c3ebbc7e4e 100644
--- a/lib/Makefile
+++ b/lib/Makefile
@@ -5,7 +5,7 @@
 # built are visible:
 #
 # [Handled by /usr/src/Makefile.inc1, before this Makefile triggers]
-#    libthread_xu|libc_r must be built before libpthread.
+#    libthread_xu must be built before libpthread.
 #    libprop must be built before libdevattr
 #
 # libcrypt must be built before libfetch, libarchive.
@@ -21,7 +21,6 @@
 # Otherwise, the SUBDIR list should be in alphabetical order.
 
 SUBDIR_ORDERED= \
-	${_libc_r} \
 	librecrypto \
 	libressl \
 	libcrypt \
@@ -99,10 +98,6 @@ _libdmsg=	libdmsg
 SUBDIR+=	libldns \
 		libtcplay
 
-.if !defined(NO_LIBC_R)
-_libc_r=	libc_r
-.endif
-
 .if defined(WANT_NETGRAPH7) 
 _libnetgraph=	libnetgraph7
 .else
